<?php namespace App\Models;

use App\Entities\Perfil\Perfil;
use App\Entities\Usuario\Usuario;
use App\Entities\AgendamentoPet\AgendamentoPet;
use CodeIgniter\Model;

class AgendamentoPetModel extends ModelEntity
{
    protected $table = 'agendamento_pet';
    //protected $primaryKey = 'id';
    protected $returnType = 'array';
    protected $allowedFields = [
        'id_pet',
        'id_agendamento',
    ];
    protected $useSoftDeletes = false;
    protected $useTimestamps = false;
    protected $skipValidation = true;

    public function registerAgendamentoPet(AgendamentoPet &$usuario_perfil) : void {
        $usuario_perfil_data = $usuario_perfil->toArray();
        unset($usuario_perfil_data['id']);
        $this->insert($usuario_perfil_data);
    }
}
